org.keycloak.services.resources

## Class LoginActionsServiceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.keycloak.common.VerificationException
      - - org.keycloak.services.resources.LoginActionsServiceException

- All Implemented Interfaces:
    Serializable

      public class LoginActionsServiceException
      extends VerificationException

  Author:
    hmlnarik
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginActionsServiceException(javax.ws.rs.core.Response response)`
    `LoginActionsServiceException(javax.ws.rs.core.Response response, String message)`
    `LoginActionsServiceException(javax.ws.rs.core.Response response, String message, Throwable cause)`
    `LoginActionsServiceException(javax.ws.rs.core.Response response, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `getResponse()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LoginActionsServiceException

          public LoginActionsServiceException(javax.ws.rs.core.Response response)

    - #### LoginActionsServiceException

          public LoginActionsServiceException(javax.ws.rs.core.Response response,
                                              String message)

    - #### LoginActionsServiceException

          public LoginActionsServiceException(javax.ws.rs.core.Response response,
                                              String message,
                                              Throwable cause)

    - #### LoginActionsServiceException

          public LoginActionsServiceException(javax.ws.rs.core.Response response,
                                              Throwable cause)

  - ### Method Detail

    - #### getResponse

          public javax.ws.rs.core.Response getResponse()

Copyright © 2021 JBoss by Red Hat. All rights reserved.